---
postClass: rocket-richard
title: 2020 Rocket Richard
description: Data visualization to track the NHL's Rocket Richard trophy.
postDetails: The Maurice "Rocket" Richard Trophy is awarded to the leading goal scorer in the NHL. After Coronavirus halted the 2019-2020 season short, David Pastrnak and Alex Ovechkin(9-time winner) finished the year atop the NHL with 48 goals each. This tracker pulled in live data from the NHL API before the season was abruptly ended.
createdOn: 2020-04-17   	
date: Last Modified
tags:
  - d3.js
  - dataviz
layout: layouts/post.html
pageStylesheets: 
  - 'rocket-richard.css'
pageScripts: 
  - 'rocket-richard.js'
  - 'rocket-richard-data.js'
externalScripts:
  - https://d3js.org/d3.v5.min.js
primaryTextColor: var(--grey-2)
secondaryTextColor: var(--grey-1)
bodyColor: var(--grey-6)
---
<section id="overview">
  {% for i in range(0, 5) -%}
  <article class="card hidden">
    <h3 class="card__name"></h3>
    <div class="card__player-profile">
      <div class="card__player-info">
        <img class="card__team-logo">
        <span class="card__team"></span>
        <span class="card__position"></span>
      </div>
      <div class="card__player-stats">
        <h2 class="card__goals"><span> goals</span></h2>
        <ul class="card__game-stats"></ul>
      </div>
    </div>
    <div class="shot-chart scaling-svg-container" style="padding-bottom: 105.55%">
      <img src="/assets/img/rocket-richard/ozone.svg" class="shot-chart__rink"/>
      <svg class="shot-chart__goals scaling-svg" preserveAspectRatio="xMidYMin meet"></svg>
    </div>
  </article>
  {%- endfor %}
</section>
<section id="visualizations">
  <h2>Race for the Rocket</h2>
  <div class="scaling-svg-container" style="padding-bottom: 60%">
    <svg id="raceChart" class="scaling-svg" preserveAspectRatio="xMidYMin meet"></svg>
  </div>
</section>
<section id="winners">
  <h2>Rocket Richard Winners</h2>
  <ul>
    <li>2020: <strong>Alex Ovechkin</strong>,<em> Washington Capitals: </em>48&nbsp;goals</li>
    <li>2020: <strong>David Pastrnak</strong>,<em> Boston Bruins: </em>48&nbsp;goals</li>
    <li>2019: <strong>Alex Ovechkin</strong>,<em> Washington Capitals: </em>51&nbsp;goals</li>
    <li>2018: <strong>Alex Ovechkin</strong>,<em> Washington Capitals: </em>49&nbsp;goals</li>
    <li>2017: <strong>Sidney Crosby</strong>,<em> Pittsburgh Penguins: </em>44&nbsp;goals</li>
    <li>2016: <strong>Alex Ovechkin</strong>,<em> Washington Capitals: </em>50&nbsp;goals</li>
    <li>2015: <strong>Alex Ovechkin</strong>,<em> Washington Capitals: </em>53&nbsp;goals</li>
    <li>2014: <strong>Alex Ovechkin</strong>,<em> Washington Capitals: </em>51&nbsp;goals</li>
    <li>2013: <strong>Alex Ovechkin</strong>,<em> Washington Capitals: </em>32&nbsp;goals</li>
    <li>2012: <strong>Steven Stamkos</strong>,<em> Tampa Bay Lightning: </em>60&nbsp;goals</li>
    <li>2011: <strong>Corey Perry</strong>,<em> Anaheim Ducks: </em>50&nbsp;goals</li>
    <li>2010: <strong>Sidney Crosby</strong>,<em> Pittsburgh Penguins: </em>51&nbsp;goals</li>
    <li>2010: <strong>Steven Stamkos</strong>,<em> Tampa Bay Lightning: </em>51&nbsp;goals</li>
    <li>2009: <strong>Alex Ovechkin</strong>,<em> Washington Capitals: </em>56&nbsp;goals</li>
    <li>2008: <strong>Alex Ovechkin</strong>,<em> Washington Capitals: </em>65&nbsp;goals</li>
    <li>2007: <strong>Vincent Lecavalier</strong>,<em> Tampa Bay Lightning: </em>52&nbsp;goals</li>
    <li>2006: <strong>Jonathan Cheechoo</strong>,<em> Washington Capitals: </em>56&nbsp;goals</li>
    <li>2004: <strong>Rick Nash</strong>,<em> Columbus Blue Jackets</em>41&nbsp;goals</li>
    <li>2004: <strong>Ilya Kovalchuk</strong>,<em>A tlanta Thrashers: </em>41&nbsp;goals</li>
    <li>2004: <strong>Jarome Iginla</strong>,<em> Calgary Flames: </em>41&nbsp;goals</li>
    <li>2003: <strong>Milan Hejduk</strong>,<em> Colorado Avalanche: </em>50&nbsp;goals</li>
    <li>2002: <strong>Jarome Iginla</strong>,<em> Calgary Flames: </em>52&nbsp;goals</li>
    <li>2001: <strong>Pavel Bure</strong>,<em> Florida Panthers: </em>59&nbsp;goals</li>
    <li>2000: <strong>Pavel Bure</strong>,<em> Florida Panthers: </em>58&nbsp;goals</li>
    <li>1999: <strong>Teemu Selanne</strong>,<em> Mighty Ducks of Anaheim: </em>47&nbsp;goals</li>
  </ul>
</section>

